<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::capabilityAgents::playbackController Namespace Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents.html">capabilityAgents</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html">playbackController</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#namespaces">Namespaces</a> &#124;
<a href="#nested-classes">Classes</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::capabilityAgents::playbackController Namespace Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1test"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1test.html">test</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_button_command__v1__0.html">ButtonCommand_v1_0</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_button_command__v1__1.html">ButtonCommand_v1_1</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_playback_command.html">PlaybackCommand</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_playback_controller.html">PlaybackController</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_playback_message_request.html">PlaybackMessageRequest</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_playback_router.html">PlaybackRouter</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_toggle_command.html">ToggleCommand</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ae962ca5ea9f37cf42f0351dfd4039b3c"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html#ae962ca5ea9f37cf42f0351dfd4039b3c">TAG</a> (&quot;PlaybackCommand&quot;)</td></tr>
<tr class="memdesc:ae962ca5ea9f37cf42f0351dfd4039b3c"><td class="mdescLeft">&#160;</td><td class="mdescRight">String to identify log entries originating from this file.  <a href="#ae962ca5ea9f37cf42f0351dfd4039b3c">More...</a><br /></td></tr>
<tr class="separator:ae962ca5ea9f37cf42f0351dfd4039b3c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5db784eab7caecdf362454a1ccf58584"><td class="memItemLeft" align="right" valign="top">std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html#a5db784eab7caecdf362454a1ccf58584">operator&lt;&lt;</a> (std::ostream &amp;stream, const <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_playback_command.html">PlaybackCommand</a> &amp;command)</td></tr>
<tr class="separator:a5db784eab7caecdf362454a1ccf58584"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeb3e018e1b2df36c247c772657b5fb56"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html#aeb3e018e1b2df36c247c772657b5fb56">TAG</a> (&quot;PlaybackController&quot;)</td></tr>
<tr class="memdesc:aeb3e018e1b2df36c247c772657b5fb56"><td class="mdescLeft">&#160;</td><td class="mdescRight">String to identify log entries originating from this file.  <a href="#aeb3e018e1b2df36c247c772657b5fb56">More...</a><br /></td></tr>
<tr class="separator:aeb3e018e1b2df36c247c772657b5fb56"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a11192b0392b403a92994d8c4276d7a71"><td class="memItemLeft" align="right" valign="top">static std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_configuration.html">CapabilityConfiguration</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html#a11192b0392b403a92994d8c4276d7a71">getPlaybackControllerCapabilityConfiguration</a> ()</td></tr>
<tr class="separator:a11192b0392b403a92994d8c4276d7a71"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a883aadf054cd930c3aece5928b6244a8"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html#a883aadf054cd930c3aece5928b6244a8">TAG</a> (&quot;PlaybackRouter&quot;)</td></tr>
<tr class="memdesc:a883aadf054cd930c3aece5928b6244a8"><td class="mdescLeft">&#160;</td><td class="mdescRight">String to identify log entries originating from this file.  <a href="#a883aadf054cd930c3aece5928b6244a8">More...</a><br /></td></tr>
<tr class="separator:a883aadf054cd930c3aece5928b6244a8"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:ae32afa756d0bf2dcb8a9d470d8387bde"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html#ae32afa756d0bf2dcb8a9d470d8387bde">BUTTON_COMMAND_EVENT_NAME</a> = &quot;ButtonCommandIssued&quot;</td></tr>
<tr class="separator:ae32afa756d0bf2dcb8a9d470d8387bde"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac8f9344dfc552bff003900e226b8cac3"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html#ac8f9344dfc552bff003900e226b8cac3">TOGGLE_COMMAND_EVENT_NAME</a> = &quot;ToggleCommandIssued&quot;</td></tr>
<tr class="separator:ac8f9344dfc552bff003900e226b8cac3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aff792ae46c8f86a15679dc325c828195"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html#aff792ae46c8f86a15679dc325c828195">PLAYBACK_TOGGLE_ACTION_SELECT</a> = &quot;SELECT&quot;</td></tr>
<tr class="separator:aff792ae46c8f86a15679dc325c828195"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1247aec1074391b3813407d834916fe7"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html#a1247aec1074391b3813407d834916fe7">PLAYBACK_TOGGLE_ACTION_DESELECT</a> = &quot;DESELECT&quot;</td></tr>
<tr class="separator:a1247aec1074391b3813407d834916fe7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a226d987aabd03092366945844299c973"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html#a226d987aabd03092366945844299c973">PLAYBACK_TOGGLE_NAME_SHUFFLE</a> = &quot;SHUFFLE&quot;</td></tr>
<tr class="separator:a226d987aabd03092366945844299c973"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac62688d8c5d3aec175a13a34723a9c07"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html#ac62688d8c5d3aec175a13a34723a9c07">PLAYBACK_TOGGLE_NAME_LOOP</a> = &quot;LOOP&quot;</td></tr>
<tr class="separator:ac62688d8c5d3aec175a13a34723a9c07"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac248e22ba696fb35b580629a11e27934"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html#ac248e22ba696fb35b580629a11e27934">PLAYBACK_TOGGLE_NAME_REPEAT</a> = &quot;REPEAT&quot;</td></tr>
<tr class="separator:ac248e22ba696fb35b580629a11e27934"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a96812448a60541e1fd18fa089226b1fc"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html#a96812448a60541e1fd18fa089226b1fc">PLAYBACK_TOGGLE_NAME_THUMBSUP</a> = &quot;THUMBSUP&quot;</td></tr>
<tr class="separator:a96812448a60541e1fd18fa089226b1fc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af4f694a66181fb10fe35920280da8738"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html#af4f694a66181fb10fe35920280da8738">PLAYBACK_TOGGLE_NAME_THUMBSDOWN</a> = &quot;THUMBSDOWN&quot;</td></tr>
<tr class="separator:af4f694a66181fb10fe35920280da8738"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9171334a032f4a45a3e38e3f96c4822f"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html#a9171334a032f4a45a3e38e3f96c4822f">PLAYBACK_NAME_UNKNOWN</a> = &quot;UNKNOWN&quot;</td></tr>
<tr class="separator:a9171334a032f4a45a3e38e3f96c4822f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2ea0b7e83870cdf74c5db18dcfa91f48"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html#a2ea0b7e83870cdf74c5db18dcfa91f48">PLAYBACK_CONTROLLER_EVENT_NAME_KEY</a> = &quot;name&quot;</td></tr>
<tr class="separator:a2ea0b7e83870cdf74c5db18dcfa91f48"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abccb8594bd18210007f1367043deb7ee"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html#abccb8594bd18210007f1367043deb7ee">PLAYBACK_CONTROLLER_EVENT_ACTION_KEY</a> = &quot;action&quot;</td></tr>
<tr class="separator:abccb8594bd18210007f1367043deb7ee"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0082bacaeaf6e56d3ef1cb2da6ab91be"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html#a0082bacaeaf6e56d3ef1cb2da6ab91be">JSON_EMPTY_PAYLOAD</a> = &quot;{}&quot;</td></tr>
<tr class="separator:a0082bacaeaf6e56d3ef1cb2da6ab91be"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6a0c80934c428dbea71dcd17bf0cb843"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html#a6a0c80934c428dbea71dcd17bf0cb843">JSON_BEGIN</a> = &quot;{\&quot;&quot;</td></tr>
<tr class="separator:a6a0c80934c428dbea71dcd17bf0cb843"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a57ca7a18c2c2cbc4cda731f3e6adc205"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html#a57ca7a18c2c2cbc4cda731f3e6adc205">JSON_COLON</a> = &quot;\&quot;: \&quot;&quot;</td></tr>
<tr class="separator:a57ca7a18c2c2cbc4cda731f3e6adc205"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acfc1a26762f93b51f8f55a980035c056"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html#acfc1a26762f93b51f8f55a980035c056">JSON_COMMA</a> = &quot;\&quot;, \&quot;&quot;</td></tr>
<tr class="separator:acfc1a26762f93b51f8f55a980035c056"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a99c7b350b43a682cbeab0110cc994c8d"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html#a99c7b350b43a682cbeab0110cc994c8d">JSON_END</a> = &quot;\&quot;}&quot;</td></tr>
<tr class="separator:a99c7b350b43a682cbeab0110cc994c8d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7f6845b974e9f0b48838e4f3ed1a12b3"><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_button_command__v1__0.html">ButtonCommand_v1_0</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html#a7f6845b974e9f0b48838e4f3ed1a12b3">g_playButton_v1_0</a> = <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_button_command__v1__0.html">ButtonCommand_v1_0</a>(&quot;PlayCommandIssued&quot;)</td></tr>
<tr class="memdesc:a7f6845b974e9f0b48838e4f3ed1a12b3"><td class="mdescLeft">&#160;</td><td class="mdescRight"><code>PlayCommandIssued</code> event.  <a href="#a7f6845b974e9f0b48838e4f3ed1a12b3">More...</a><br /></td></tr>
<tr class="separator:a7f6845b974e9f0b48838e4f3ed1a12b3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aee052cc893b5eaba38a9c97160d5415b"><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_button_command__v1__0.html">ButtonCommand_v1_0</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html#aee052cc893b5eaba38a9c97160d5415b">g_pauseButton_v1_0</a> = <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_button_command__v1__0.html">ButtonCommand_v1_0</a>(&quot;PauseCommandIssued&quot;)</td></tr>
<tr class="memdesc:aee052cc893b5eaba38a9c97160d5415b"><td class="mdescLeft">&#160;</td><td class="mdescRight"><code>PauseCommandIssued</code> event.  <a href="#aee052cc893b5eaba38a9c97160d5415b">More...</a><br /></td></tr>
<tr class="separator:aee052cc893b5eaba38a9c97160d5415b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acaffc24cc7b8bbab92f2b9491d94d58f"><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_button_command__v1__0.html">ButtonCommand_v1_0</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html#acaffc24cc7b8bbab92f2b9491d94d58f">g_nextButton_v1_0</a> = <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_button_command__v1__0.html">ButtonCommand_v1_0</a>(&quot;NextCommandIssued&quot;)</td></tr>
<tr class="memdesc:acaffc24cc7b8bbab92f2b9491d94d58f"><td class="mdescLeft">&#160;</td><td class="mdescRight"><code>NextCommandIssued</code> event.  <a href="#acaffc24cc7b8bbab92f2b9491d94d58f">More...</a><br /></td></tr>
<tr class="separator:acaffc24cc7b8bbab92f2b9491d94d58f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab44fb55d590ba3e1dc831bf79d89bd71"><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_button_command__v1__0.html">ButtonCommand_v1_0</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html#ab44fb55d590ba3e1dc831bf79d89bd71">g_previousButton_v1_0</a> = <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_button_command__v1__0.html">ButtonCommand_v1_0</a>(&quot;PreviousCommandIssued&quot;)</td></tr>
<tr class="memdesc:ab44fb55d590ba3e1dc831bf79d89bd71"><td class="mdescLeft">&#160;</td><td class="mdescRight"><code>PreviousCommandIssued</code> event.  <a href="#ab44fb55d590ba3e1dc831bf79d89bd71">More...</a><br /></td></tr>
<tr class="separator:ab44fb55d590ba3e1dc831bf79d89bd71"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a953823213e628090490434535ef7cc5a"><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_button_command__v1__1.html">ButtonCommand_v1_1</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html#a953823213e628090490434535ef7cc5a">g_skipForwardButton_v1_0</a> = <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_button_command__v1__1.html">ButtonCommand_v1_1</a>(&quot;SKIPFORWARD&quot;)</td></tr>
<tr class="memdesc:a953823213e628090490434535ef7cc5a"><td class="mdescLeft">&#160;</td><td class="mdescRight"><code>SKIPFORWARD</code> command.  <a href="#a953823213e628090490434535ef7cc5a">More...</a><br /></td></tr>
<tr class="separator:a953823213e628090490434535ef7cc5a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9647666efcd4d4ec5880ecabd19255c0"><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_button_command__v1__1.html">ButtonCommand_v1_1</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html#a9647666efcd4d4ec5880ecabd19255c0">g_skipBackwardButton_v1_0</a> = <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_button_command__v1__1.html">ButtonCommand_v1_1</a>(&quot;SKIPBACKWARD&quot;)</td></tr>
<tr class="memdesc:a9647666efcd4d4ec5880ecabd19255c0"><td class="mdescLeft">&#160;</td><td class="mdescRight"><code>SKIPBACKWARD</code> command.  <a href="#a9647666efcd4d4ec5880ecabd19255c0">More...</a><br /></td></tr>
<tr class="separator:a9647666efcd4d4ec5880ecabd19255c0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a91936bd522425544965af0204a009124"><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_button_command__v1__1.html">ButtonCommand_v1_1</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html#a91936bd522425544965af0204a009124">g_unknownButton_v1_0</a> = <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_button_command__v1__1.html">ButtonCommand_v1_1</a>(<a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html#a9171334a032f4a45a3e38e3f96c4822f">PLAYBACK_NAME_UNKNOWN</a>)</td></tr>
<tr class="memdesc:a91936bd522425544965af0204a009124"><td class="mdescLeft">&#160;</td><td class="mdescRight">Unknown command.  <a href="#a91936bd522425544965af0204a009124">More...</a><br /></td></tr>
<tr class="separator:a91936bd522425544965af0204a009124"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae87e1631988e3a1446004ae8bd5938c7"><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_toggle_command.html">ToggleCommand</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html#ae87e1631988e3a1446004ae8bd5938c7">g_shuffleSelectToggle</a> = <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_toggle_command.html">ToggleCommand</a>(<a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html#a226d987aabd03092366945844299c973">PLAYBACK_TOGGLE_NAME_SHUFFLE</a>, true)</td></tr>
<tr class="memdesc:ae87e1631988e3a1446004ae8bd5938c7"><td class="mdescLeft">&#160;</td><td class="mdescRight"><code>SHUFFLE</code> command with action = <code>SELECT</code>  <a href="#ae87e1631988e3a1446004ae8bd5938c7">More...</a><br /></td></tr>
<tr class="separator:ae87e1631988e3a1446004ae8bd5938c7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aae75d1dc3590901e5be3c5904dcca44d"><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_toggle_command.html">ToggleCommand</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html#aae75d1dc3590901e5be3c5904dcca44d">g_shuffleDeselectToggle</a> = <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_toggle_command.html">ToggleCommand</a>(<a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html#a226d987aabd03092366945844299c973">PLAYBACK_TOGGLE_NAME_SHUFFLE</a>, false)</td></tr>
<tr class="memdesc:aae75d1dc3590901e5be3c5904dcca44d"><td class="mdescLeft">&#160;</td><td class="mdescRight"><code>SHUFFLE</code> command with action = <code>DESELECT</code>  <a href="#aae75d1dc3590901e5be3c5904dcca44d">More...</a><br /></td></tr>
<tr class="separator:aae75d1dc3590901e5be3c5904dcca44d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a75a36849ea614be1e506b2474241435d"><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_toggle_command.html">ToggleCommand</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html#a75a36849ea614be1e506b2474241435d">g_loopSelectToggle</a> = <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_toggle_command.html">ToggleCommand</a>(<a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html#ac62688d8c5d3aec175a13a34723a9c07">PLAYBACK_TOGGLE_NAME_LOOP</a>, true)</td></tr>
<tr class="memdesc:a75a36849ea614be1e506b2474241435d"><td class="mdescLeft">&#160;</td><td class="mdescRight"><code>LOOP</code> command with action = <code>SELECT</code>  <a href="#a75a36849ea614be1e506b2474241435d">More...</a><br /></td></tr>
<tr class="separator:a75a36849ea614be1e506b2474241435d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3e7fc16ccff9aa8a4f660c4e43803ef7"><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_toggle_command.html">ToggleCommand</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html#a3e7fc16ccff9aa8a4f660c4e43803ef7">g_loopDeselectToggle</a> = <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_toggle_command.html">ToggleCommand</a>(<a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html#ac62688d8c5d3aec175a13a34723a9c07">PLAYBACK_TOGGLE_NAME_LOOP</a>, false)</td></tr>
<tr class="memdesc:a3e7fc16ccff9aa8a4f660c4e43803ef7"><td class="mdescLeft">&#160;</td><td class="mdescRight"><code>LOOP</code> command with action = <code>DESELECT</code>  <a href="#a3e7fc16ccff9aa8a4f660c4e43803ef7">More...</a><br /></td></tr>
<tr class="separator:a3e7fc16ccff9aa8a4f660c4e43803ef7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad45e03666ba5af34614a0647394406cb"><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_toggle_command.html">ToggleCommand</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html#ad45e03666ba5af34614a0647394406cb">g_repeatSelectToggle</a> = <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_toggle_command.html">ToggleCommand</a>(<a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html#ac248e22ba696fb35b580629a11e27934">PLAYBACK_TOGGLE_NAME_REPEAT</a>, true)</td></tr>
<tr class="memdesc:ad45e03666ba5af34614a0647394406cb"><td class="mdescLeft">&#160;</td><td class="mdescRight"><code>REPEAT</code> command with action = <code>SELECT</code>  <a href="#ad45e03666ba5af34614a0647394406cb">More...</a><br /></td></tr>
<tr class="separator:ad45e03666ba5af34614a0647394406cb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a331397536b99556eae370183f8aad679"><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_toggle_command.html">ToggleCommand</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html#a331397536b99556eae370183f8aad679">g_repeatDeselectToggle</a> = <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_toggle_command.html">ToggleCommand</a>(<a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html#ac248e22ba696fb35b580629a11e27934">PLAYBACK_TOGGLE_NAME_REPEAT</a>, false)</td></tr>
<tr class="memdesc:a331397536b99556eae370183f8aad679"><td class="mdescLeft">&#160;</td><td class="mdescRight"><code>REPEAT</code> command with action = <code>DESELECT</code>  <a href="#a331397536b99556eae370183f8aad679">More...</a><br /></td></tr>
<tr class="separator:a331397536b99556eae370183f8aad679"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a348cf0aec71d2624eb8f47acad7e84ab"><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_toggle_command.html">ToggleCommand</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html#a348cf0aec71d2624eb8f47acad7e84ab">g_thumbsUpSelectToggle</a> = <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_toggle_command.html">ToggleCommand</a>(<a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html#a96812448a60541e1fd18fa089226b1fc">PLAYBACK_TOGGLE_NAME_THUMBSUP</a>, true)</td></tr>
<tr class="memdesc:a348cf0aec71d2624eb8f47acad7e84ab"><td class="mdescLeft">&#160;</td><td class="mdescRight"><code>THUMBSUP</code> command with action = <code>SELECT</code>  <a href="#a348cf0aec71d2624eb8f47acad7e84ab">More...</a><br /></td></tr>
<tr class="separator:a348cf0aec71d2624eb8f47acad7e84ab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a36d2443dbd84f0f7b1a99c452b02f0fa"><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_toggle_command.html">ToggleCommand</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html#a36d2443dbd84f0f7b1a99c452b02f0fa">g_thumbsUpDeselectToggle</a> = <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_toggle_command.html">ToggleCommand</a>(<a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html#a96812448a60541e1fd18fa089226b1fc">PLAYBACK_TOGGLE_NAME_THUMBSUP</a>, false)</td></tr>
<tr class="memdesc:a36d2443dbd84f0f7b1a99c452b02f0fa"><td class="mdescLeft">&#160;</td><td class="mdescRight"><code>THUMBSUP</code> command with action = <code>DESELECT</code>  <a href="#a36d2443dbd84f0f7b1a99c452b02f0fa">More...</a><br /></td></tr>
<tr class="separator:a36d2443dbd84f0f7b1a99c452b02f0fa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af3452c364073e003098eef21e480d0bf"><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_toggle_command.html">ToggleCommand</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html#af3452c364073e003098eef21e480d0bf">g_thumbsDownSelectToggle</a> = <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_toggle_command.html">ToggleCommand</a>(<a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html#af4f694a66181fb10fe35920280da8738">PLAYBACK_TOGGLE_NAME_THUMBSDOWN</a>, true)</td></tr>
<tr class="memdesc:af3452c364073e003098eef21e480d0bf"><td class="mdescLeft">&#160;</td><td class="mdescRight"><code>THUMBSDOWN</code> command with action = <code>SELECT</code>  <a href="#af3452c364073e003098eef21e480d0bf">More...</a><br /></td></tr>
<tr class="separator:af3452c364073e003098eef21e480d0bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac366cbfddbe1876e94fb8435cda26d17"><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_toggle_command.html">ToggleCommand</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html#ac366cbfddbe1876e94fb8435cda26d17">g_thumbsDownDeselectToggle</a> = <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_toggle_command.html">ToggleCommand</a>(<a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html#af4f694a66181fb10fe35920280da8738">PLAYBACK_TOGGLE_NAME_THUMBSDOWN</a>, false)</td></tr>
<tr class="memdesc:ac366cbfddbe1876e94fb8435cda26d17"><td class="mdescLeft">&#160;</td><td class="mdescRight"><code>THUMBSDOWN</code> command with action = <code>DESELECT</code>  <a href="#ac366cbfddbe1876e94fb8435cda26d17">More...</a><br /></td></tr>
<tr class="separator:ac366cbfddbe1876e94fb8435cda26d17"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab88d41fb0c3e769012473064c4f43a38"><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_toggle_command.html">ToggleCommand</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html#ab88d41fb0c3e769012473064c4f43a38">g_unknownToggle</a> = <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_toggle_command.html">ToggleCommand</a>(<a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html#a9171334a032f4a45a3e38e3f96c4822f">PLAYBACK_NAME_UNKNOWN</a>, false)</td></tr>
<tr class="memdesc:ab88d41fb0c3e769012473064c4f43a38"><td class="mdescLeft">&#160;</td><td class="mdescRight">Unknown toggle.  <a href="#ab88d41fb0c3e769012473064c4f43a38">More...</a><br /></td></tr>
<tr class="separator:ab88d41fb0c3e769012473064c4f43a38"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4334f7368b31499f9c030360b4197cf0"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html#a4334f7368b31499f9c030360b4197cf0">PLAYBACKCONTROLLER_CAPABILITY_INTERFACE_TYPE</a> = &quot;AlexaInterface&quot;</td></tr>
<tr class="separator:a4334f7368b31499f9c030360b4197cf0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8f492fc8af918318703db4fa52100a6d"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html#a8f492fc8af918318703db4fa52100a6d">PLAYBACKCONTROLLER_CAPABILITY_INTERFACE_NAME</a> = &quot;PlaybackController&quot;</td></tr>
<tr class="memdesc:a8f492fc8af918318703db4fa52100a6d"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_playback_controller.html">PlaybackController</a> interface name.  <a href="#a8f492fc8af918318703db4fa52100a6d">More...</a><br /></td></tr>
<tr class="separator:a8f492fc8af918318703db4fa52100a6d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2b22f9be20b7504ea43c61991c73e0d4"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html#a2b22f9be20b7504ea43c61991c73e0d4">PLAYBACKCONTROLLER_CAPABILITY_INTERFACE_VERSION</a> = &quot;1.1&quot;</td></tr>
<tr class="memdesc:a2b22f9be20b7504ea43c61991c73e0d4"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_playback_controller.html">PlaybackController</a> interface version.  <a href="#a2b22f9be20b7504ea43c61991c73e0d4">More...</a><br /></td></tr>
<tr class="separator:a2b22f9be20b7504ea43c61991c73e0d4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a60ca92fc1e9ad759ee9df54c0b28150a"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html#a60ca92fc1e9ad759ee9df54c0b28150a">PLAYBACK_CONTROLLER_NAMESPACE</a> = &quot;PlaybackController&quot;</td></tr>
<tr class="memdesc:a60ca92fc1e9ad759ee9df54c0b28150a"><td class="mdescLeft">&#160;</td><td class="mdescRight">String to identify the AVS namespace of the event we send.  <a href="#a60ca92fc1e9ad759ee9df54c0b28150a">More...</a><br /></td></tr>
<tr class="separator:a60ca92fc1e9ad759ee9df54c0b28150a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="a11192b0392b403a92994d8c4276d7a71"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a11192b0392b403a92994d8c4276d7a71">&#9670;&nbsp;</a></span>getPlaybackControllerCapabilityConfiguration()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_configuration.html">CapabilityConfiguration</a> &gt; alexaClientSDK::capabilityAgents::playbackController::getPlaybackControllerCapabilityConfiguration </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Creates the <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_playback_controller.html">PlaybackController</a> capability configuration.</p>
<dl class="section return"><dt>Returns</dt><dd>The <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_playback_controller.html">PlaybackController</a> capability configuration. </dd></dl>

</div>
</div>
<a id="a5db784eab7caecdf362454a1ccf58584"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5db784eab7caecdf362454a1ccf58584">&#9670;&nbsp;</a></span>operator&lt;&lt;()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::ostream&amp; alexaClientSDK::capabilityAgents::playbackController::operator&lt;&lt; </td>
          <td>(</td>
          <td class="paramtype">std::ostream &amp;&#160;</td>
          <td class="paramname"><em>stream</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_playback_command.html">PlaybackCommand</a> &amp;&#160;</td>
          <td class="paramname"><em>command</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Write a <code>command</code> value to an <code>ostream</code> as a string.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">stream</td><td>The stream to write the value to. </td></tr>
    <tr><td class="paramname">command</td><td>The <code><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_playback_command.html">PlaybackCommand</a></code> value to write to the <code>ostream</code> as a string. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The <code>ostream</code> that was passed in and written to. </dd></dl>

</div>
</div>
<a id="a883aadf054cd930c3aece5928b6244a8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a883aadf054cd930c3aece5928b6244a8">&#9670;&nbsp;</a></span>TAG() <span class="overload">[1/3]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static const std::string alexaClientSDK::capabilityAgents::playbackController::TAG </td>
          <td>(</td>
          <td class="paramtype">&quot;PlaybackRouter&quot;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>String to identify log entries originating from this file. </p>

</div>
</div>
<a id="ae962ca5ea9f37cf42f0351dfd4039b3c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae962ca5ea9f37cf42f0351dfd4039b3c">&#9670;&nbsp;</a></span>TAG() <span class="overload">[2/3]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static const std::string alexaClientSDK::capabilityAgents::playbackController::TAG </td>
          <td>(</td>
          <td class="paramtype">&quot;PlaybackCommand&quot;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>String to identify log entries originating from this file. </p>

</div>
</div>
<a id="aeb3e018e1b2df36c247c772657b5fb56"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aeb3e018e1b2df36c247c772657b5fb56">&#9670;&nbsp;</a></span>TAG() <span class="overload">[3/3]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static const std::string alexaClientSDK::capabilityAgents::playbackController::TAG </td>
          <td>(</td>
          <td class="paramtype">&quot;PlaybackController&quot;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>String to identify log entries originating from this file. </p>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="ae32afa756d0bf2dcb8a9d470d8387bde"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae32afa756d0bf2dcb8a9d470d8387bde">&#9670;&nbsp;</a></span>BUTTON_COMMAND_EVENT_NAME</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::capabilityAgents::playbackController::BUTTON_COMMAND_EVENT_NAME = &quot;ButtonCommandIssued&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a3e7fc16ccff9aa8a4f660c4e43803ef7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3e7fc16ccff9aa8a4f660c4e43803ef7">&#9670;&nbsp;</a></span>g_loopDeselectToggle</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_toggle_command.html">ToggleCommand</a> alexaClientSDK::capabilityAgents::playbackController::g_loopDeselectToggle = <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_toggle_command.html">ToggleCommand</a>(<a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html#ac62688d8c5d3aec175a13a34723a9c07">PLAYBACK_TOGGLE_NAME_LOOP</a>, false)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p><code>LOOP</code> command with action = <code>DESELECT</code> </p>

</div>
</div>
<a id="a75a36849ea614be1e506b2474241435d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a75a36849ea614be1e506b2474241435d">&#9670;&nbsp;</a></span>g_loopSelectToggle</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_toggle_command.html">ToggleCommand</a> alexaClientSDK::capabilityAgents::playbackController::g_loopSelectToggle = <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_toggle_command.html">ToggleCommand</a>(<a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html#ac62688d8c5d3aec175a13a34723a9c07">PLAYBACK_TOGGLE_NAME_LOOP</a>, true)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p><code>LOOP</code> command with action = <code>SELECT</code> </p>

</div>
</div>
<a id="acaffc24cc7b8bbab92f2b9491d94d58f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acaffc24cc7b8bbab92f2b9491d94d58f">&#9670;&nbsp;</a></span>g_nextButton_v1_0</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_button_command__v1__0.html">ButtonCommand_v1_0</a> alexaClientSDK::capabilityAgents::playbackController::g_nextButton_v1_0 = <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_button_command__v1__0.html">ButtonCommand_v1_0</a>(&quot;NextCommandIssued&quot;)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p><code>NextCommandIssued</code> event. </p>

</div>
</div>
<a id="aee052cc893b5eaba38a9c97160d5415b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aee052cc893b5eaba38a9c97160d5415b">&#9670;&nbsp;</a></span>g_pauseButton_v1_0</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_button_command__v1__0.html">ButtonCommand_v1_0</a> alexaClientSDK::capabilityAgents::playbackController::g_pauseButton_v1_0 = <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_button_command__v1__0.html">ButtonCommand_v1_0</a>(&quot;PauseCommandIssued&quot;)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p><code>PauseCommandIssued</code> event. </p>

</div>
</div>
<a id="a7f6845b974e9f0b48838e4f3ed1a12b3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7f6845b974e9f0b48838e4f3ed1a12b3">&#9670;&nbsp;</a></span>g_playButton_v1_0</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_button_command__v1__0.html">ButtonCommand_v1_0</a> alexaClientSDK::capabilityAgents::playbackController::g_playButton_v1_0 = <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_button_command__v1__0.html">ButtonCommand_v1_0</a>(&quot;PlayCommandIssued&quot;)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p><code>PlayCommandIssued</code> event. </p>

</div>
</div>
<a id="ab44fb55d590ba3e1dc831bf79d89bd71"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab44fb55d590ba3e1dc831bf79d89bd71">&#9670;&nbsp;</a></span>g_previousButton_v1_0</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_button_command__v1__0.html">ButtonCommand_v1_0</a> alexaClientSDK::capabilityAgents::playbackController::g_previousButton_v1_0 = <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_button_command__v1__0.html">ButtonCommand_v1_0</a>(&quot;PreviousCommandIssued&quot;)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p><code>PreviousCommandIssued</code> event. </p>

</div>
</div>
<a id="a331397536b99556eae370183f8aad679"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a331397536b99556eae370183f8aad679">&#9670;&nbsp;</a></span>g_repeatDeselectToggle</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_toggle_command.html">ToggleCommand</a> alexaClientSDK::capabilityAgents::playbackController::g_repeatDeselectToggle = <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_toggle_command.html">ToggleCommand</a>(<a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html#ac248e22ba696fb35b580629a11e27934">PLAYBACK_TOGGLE_NAME_REPEAT</a>, false)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p><code>REPEAT</code> command with action = <code>DESELECT</code> </p>

</div>
</div>
<a id="ad45e03666ba5af34614a0647394406cb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad45e03666ba5af34614a0647394406cb">&#9670;&nbsp;</a></span>g_repeatSelectToggle</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_toggle_command.html">ToggleCommand</a> alexaClientSDK::capabilityAgents::playbackController::g_repeatSelectToggle = <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_toggle_command.html">ToggleCommand</a>(<a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html#ac248e22ba696fb35b580629a11e27934">PLAYBACK_TOGGLE_NAME_REPEAT</a>, true)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p><code>REPEAT</code> command with action = <code>SELECT</code> </p>

</div>
</div>
<a id="aae75d1dc3590901e5be3c5904dcca44d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aae75d1dc3590901e5be3c5904dcca44d">&#9670;&nbsp;</a></span>g_shuffleDeselectToggle</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_toggle_command.html">ToggleCommand</a> alexaClientSDK::capabilityAgents::playbackController::g_shuffleDeselectToggle = <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_toggle_command.html">ToggleCommand</a>(<a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html#a226d987aabd03092366945844299c973">PLAYBACK_TOGGLE_NAME_SHUFFLE</a>, false)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p><code>SHUFFLE</code> command with action = <code>DESELECT</code> </p>

</div>
</div>
<a id="ae87e1631988e3a1446004ae8bd5938c7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae87e1631988e3a1446004ae8bd5938c7">&#9670;&nbsp;</a></span>g_shuffleSelectToggle</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_toggle_command.html">ToggleCommand</a> alexaClientSDK::capabilityAgents::playbackController::g_shuffleSelectToggle = <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_toggle_command.html">ToggleCommand</a>(<a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html#a226d987aabd03092366945844299c973">PLAYBACK_TOGGLE_NAME_SHUFFLE</a>, true)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p><code>SHUFFLE</code> command with action = <code>SELECT</code> </p>

</div>
</div>
<a id="a9647666efcd4d4ec5880ecabd19255c0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9647666efcd4d4ec5880ecabd19255c0">&#9670;&nbsp;</a></span>g_skipBackwardButton_v1_0</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_button_command__v1__1.html">ButtonCommand_v1_1</a> alexaClientSDK::capabilityAgents::playbackController::g_skipBackwardButton_v1_0 = <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_button_command__v1__1.html">ButtonCommand_v1_1</a>(&quot;SKIPBACKWARD&quot;)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p><code>SKIPBACKWARD</code> command. </p>

</div>
</div>
<a id="a953823213e628090490434535ef7cc5a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a953823213e628090490434535ef7cc5a">&#9670;&nbsp;</a></span>g_skipForwardButton_v1_0</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_button_command__v1__1.html">ButtonCommand_v1_1</a> alexaClientSDK::capabilityAgents::playbackController::g_skipForwardButton_v1_0 = <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_button_command__v1__1.html">ButtonCommand_v1_1</a>(&quot;SKIPFORWARD&quot;)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p><code>SKIPFORWARD</code> command. </p>

</div>
</div>
<a id="ac366cbfddbe1876e94fb8435cda26d17"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac366cbfddbe1876e94fb8435cda26d17">&#9670;&nbsp;</a></span>g_thumbsDownDeselectToggle</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_toggle_command.html">ToggleCommand</a> alexaClientSDK::capabilityAgents::playbackController::g_thumbsDownDeselectToggle = <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_toggle_command.html">ToggleCommand</a>(<a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html#af4f694a66181fb10fe35920280da8738">PLAYBACK_TOGGLE_NAME_THUMBSDOWN</a>, false)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p><code>THUMBSDOWN</code> command with action = <code>DESELECT</code> </p>

</div>
</div>
<a id="af3452c364073e003098eef21e480d0bf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af3452c364073e003098eef21e480d0bf">&#9670;&nbsp;</a></span>g_thumbsDownSelectToggle</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_toggle_command.html">ToggleCommand</a> alexaClientSDK::capabilityAgents::playbackController::g_thumbsDownSelectToggle = <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_toggle_command.html">ToggleCommand</a>(<a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html#af4f694a66181fb10fe35920280da8738">PLAYBACK_TOGGLE_NAME_THUMBSDOWN</a>, true)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p><code>THUMBSDOWN</code> command with action = <code>SELECT</code> </p>

</div>
</div>
<a id="a36d2443dbd84f0f7b1a99c452b02f0fa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a36d2443dbd84f0f7b1a99c452b02f0fa">&#9670;&nbsp;</a></span>g_thumbsUpDeselectToggle</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_toggle_command.html">ToggleCommand</a> alexaClientSDK::capabilityAgents::playbackController::g_thumbsUpDeselectToggle = <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_toggle_command.html">ToggleCommand</a>(<a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html#a96812448a60541e1fd18fa089226b1fc">PLAYBACK_TOGGLE_NAME_THUMBSUP</a>, false)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p><code>THUMBSUP</code> command with action = <code>DESELECT</code> </p>

</div>
</div>
<a id="a348cf0aec71d2624eb8f47acad7e84ab"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a348cf0aec71d2624eb8f47acad7e84ab">&#9670;&nbsp;</a></span>g_thumbsUpSelectToggle</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_toggle_command.html">ToggleCommand</a> alexaClientSDK::capabilityAgents::playbackController::g_thumbsUpSelectToggle = <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_toggle_command.html">ToggleCommand</a>(<a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html#a96812448a60541e1fd18fa089226b1fc">PLAYBACK_TOGGLE_NAME_THUMBSUP</a>, true)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p><code>THUMBSUP</code> command with action = <code>SELECT</code> </p>

</div>
</div>
<a id="a91936bd522425544965af0204a009124"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a91936bd522425544965af0204a009124">&#9670;&nbsp;</a></span>g_unknownButton_v1_0</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_button_command__v1__1.html">ButtonCommand_v1_1</a> alexaClientSDK::capabilityAgents::playbackController::g_unknownButton_v1_0 = <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_button_command__v1__1.html">ButtonCommand_v1_1</a>(<a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html#a9171334a032f4a45a3e38e3f96c4822f">PLAYBACK_NAME_UNKNOWN</a>)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Unknown command. </p>

</div>
</div>
<a id="ab88d41fb0c3e769012473064c4f43a38"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab88d41fb0c3e769012473064c4f43a38">&#9670;&nbsp;</a></span>g_unknownToggle</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_toggle_command.html">ToggleCommand</a> alexaClientSDK::capabilityAgents::playbackController::g_unknownToggle = <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_toggle_command.html">ToggleCommand</a>(<a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html#a9171334a032f4a45a3e38e3f96c4822f">PLAYBACK_NAME_UNKNOWN</a>, false)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Unknown toggle. </p>

</div>
</div>
<a id="a6a0c80934c428dbea71dcd17bf0cb843"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6a0c80934c428dbea71dcd17bf0cb843">&#9670;&nbsp;</a></span>JSON_BEGIN</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::capabilityAgents::playbackController::JSON_BEGIN = &quot;{\&quot;&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a57ca7a18c2c2cbc4cda731f3e6adc205"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a57ca7a18c2c2cbc4cda731f3e6adc205">&#9670;&nbsp;</a></span>JSON_COLON</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::capabilityAgents::playbackController::JSON_COLON = &quot;\&quot;: \&quot;&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="acfc1a26762f93b51f8f55a980035c056"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acfc1a26762f93b51f8f55a980035c056">&#9670;&nbsp;</a></span>JSON_COMMA</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::capabilityAgents::playbackController::JSON_COMMA = &quot;\&quot;, \&quot;&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a0082bacaeaf6e56d3ef1cb2da6ab91be"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0082bacaeaf6e56d3ef1cb2da6ab91be">&#9670;&nbsp;</a></span>JSON_EMPTY_PAYLOAD</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::capabilityAgents::playbackController::JSON_EMPTY_PAYLOAD = &quot;{}&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a99c7b350b43a682cbeab0110cc994c8d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a99c7b350b43a682cbeab0110cc994c8d">&#9670;&nbsp;</a></span>JSON_END</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::capabilityAgents::playbackController::JSON_END = &quot;\&quot;}&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="abccb8594bd18210007f1367043deb7ee"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abccb8594bd18210007f1367043deb7ee">&#9670;&nbsp;</a></span>PLAYBACK_CONTROLLER_EVENT_ACTION_KEY</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::capabilityAgents::playbackController::PLAYBACK_CONTROLLER_EVENT_ACTION_KEY = &quot;action&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a2ea0b7e83870cdf74c5db18dcfa91f48"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2ea0b7e83870cdf74c5db18dcfa91f48">&#9670;&nbsp;</a></span>PLAYBACK_CONTROLLER_EVENT_NAME_KEY</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::capabilityAgents::playbackController::PLAYBACK_CONTROLLER_EVENT_NAME_KEY = &quot;name&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a60ca92fc1e9ad759ee9df54c0b28150a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a60ca92fc1e9ad759ee9df54c0b28150a">&#9670;&nbsp;</a></span>PLAYBACK_CONTROLLER_NAMESPACE</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::capabilityAgents::playbackController::PLAYBACK_CONTROLLER_NAMESPACE = &quot;PlaybackController&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>String to identify the AVS namespace of the event we send. </p>

</div>
</div>
<a id="a9171334a032f4a45a3e38e3f96c4822f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9171334a032f4a45a3e38e3f96c4822f">&#9670;&nbsp;</a></span>PLAYBACK_NAME_UNKNOWN</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::capabilityAgents::playbackController::PLAYBACK_NAME_UNKNOWN = &quot;UNKNOWN&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a1247aec1074391b3813407d834916fe7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1247aec1074391b3813407d834916fe7">&#9670;&nbsp;</a></span>PLAYBACK_TOGGLE_ACTION_DESELECT</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::capabilityAgents::playbackController::PLAYBACK_TOGGLE_ACTION_DESELECT = &quot;DESELECT&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aff792ae46c8f86a15679dc325c828195"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aff792ae46c8f86a15679dc325c828195">&#9670;&nbsp;</a></span>PLAYBACK_TOGGLE_ACTION_SELECT</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::capabilityAgents::playbackController::PLAYBACK_TOGGLE_ACTION_SELECT = &quot;SELECT&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ac62688d8c5d3aec175a13a34723a9c07"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac62688d8c5d3aec175a13a34723a9c07">&#9670;&nbsp;</a></span>PLAYBACK_TOGGLE_NAME_LOOP</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::capabilityAgents::playbackController::PLAYBACK_TOGGLE_NAME_LOOP = &quot;LOOP&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ac248e22ba696fb35b580629a11e27934"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac248e22ba696fb35b580629a11e27934">&#9670;&nbsp;</a></span>PLAYBACK_TOGGLE_NAME_REPEAT</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::capabilityAgents::playbackController::PLAYBACK_TOGGLE_NAME_REPEAT = &quot;REPEAT&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a226d987aabd03092366945844299c973"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a226d987aabd03092366945844299c973">&#9670;&nbsp;</a></span>PLAYBACK_TOGGLE_NAME_SHUFFLE</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::capabilityAgents::playbackController::PLAYBACK_TOGGLE_NAME_SHUFFLE = &quot;SHUFFLE&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="af4f694a66181fb10fe35920280da8738"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af4f694a66181fb10fe35920280da8738">&#9670;&nbsp;</a></span>PLAYBACK_TOGGLE_NAME_THUMBSDOWN</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::capabilityAgents::playbackController::PLAYBACK_TOGGLE_NAME_THUMBSDOWN = &quot;THUMBSDOWN&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a96812448a60541e1fd18fa089226b1fc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a96812448a60541e1fd18fa089226b1fc">&#9670;&nbsp;</a></span>PLAYBACK_TOGGLE_NAME_THUMBSUP</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::capabilityAgents::playbackController::PLAYBACK_TOGGLE_NAME_THUMBSUP = &quot;THUMBSUP&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a8f492fc8af918318703db4fa52100a6d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8f492fc8af918318703db4fa52100a6d">&#9670;&nbsp;</a></span>PLAYBACKCONTROLLER_CAPABILITY_INTERFACE_NAME</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::capabilityAgents::playbackController::PLAYBACKCONTROLLER_CAPABILITY_INTERFACE_NAME = &quot;PlaybackController&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_playback_controller.html">PlaybackController</a> interface name. </p>

</div>
</div>
<a id="a4334f7368b31499f9c030360b4197cf0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4334f7368b31499f9c030360b4197cf0">&#9670;&nbsp;</a></span>PLAYBACKCONTROLLER_CAPABILITY_INTERFACE_TYPE</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::capabilityAgents::playbackController::PLAYBACKCONTROLLER_CAPABILITY_INTERFACE_TYPE = &quot;AlexaInterface&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class=""><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_playback_controller.html">PlaybackController</a> capability constants <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_playback_controller.html">PlaybackController</a> interface type </p>

</div>
</div>
<a id="a2b22f9be20b7504ea43c61991c73e0d4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2b22f9be20b7504ea43c61991c73e0d4">&#9670;&nbsp;</a></span>PLAYBACKCONTROLLER_CAPABILITY_INTERFACE_VERSION</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::capabilityAgents::playbackController::PLAYBACKCONTROLLER_CAPABILITY_INTERFACE_VERSION = &quot;1.1&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_playback_controller.html">PlaybackController</a> interface version. </p>

</div>
</div>
<a id="ac8f9344dfc552bff003900e226b8cac3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac8f9344dfc552bff003900e226b8cac3">&#9670;&nbsp;</a></span>TOGGLE_COMMAND_EVENT_NAME</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::capabilityAgents::playbackController::TOGGLE_COMMAND_EVENT_NAME = &quot;ToggleCommandIssued&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
